Skip to main content
GET
/
prompts
/
{promptId}
/
versions
/
{versionId}
Get a specific version of a prompt
curl --request GET \
  --url https://api.portkey.ai/v1/prompts/{promptId}/versions/{versionId} \
  --header 'x-portkey-api-key: <api-key>'
import requests

url = "https://api.portkey.ai/v1/prompts/{promptId}/versions/{versionId}"

headers = {"x-portkey-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};

fetch('https://api.portkey.ai/v1/prompts/{promptId}/versions/{versionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "slug": "<string>",
  "name": "<string>",
  "collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "string": "<string>",
  "parameters": {},
  "prompt_version": 123,
  "prompt_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "prompt_version_description": "<string>",
  "prompt_version_label_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "virtual_key": "<string>",
  "model": "<string>",
  "functions": [
    {}
  ],
  "tools": [
    {}
  ],
  "tool_choice": {},
  "template_metadata": {},
  "is_raw_template": true,
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "last_updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

x-portkey-api-key
string
header
required

Path Parameters

promptId
string
required
versionId
string<uuid>
required

Response

Prompt version details

id
string<uuid>
slug
string
name
string
collection_id
string<uuid>
string
string
parameters
object
prompt_version
number
prompt_version_id
string<uuid>
prompt_version_status
enum<string>
Available options:
active,
archived
prompt_version_description
string
prompt_version_label_id
string<uuid>
virtual_key
string
model
string
functions
object[]
tools
object[]
tool_choice
object
template_metadata
object
is_raw_template
boolean
status
string
created_at
string<date-time>
last_updated_at
string<date-time>
Last modified on April 2, 2026